Summary:        A generic-purpose lossless compression algorithm
Name:           brotli
Version:        1.0.9
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/google/brotli
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0001:      patch0001-revert-add-runtime-linker-path-to-pc-files.patch

BuildRequires:  gcc gcc-c++ cmake
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires: lib%{name} = %{version}-%{release}

%description
Brotli is a generic-purpose lossless compression algorithm that compresses 
data using a combination of a modern variant of the LZ77 algorithm, Huffman 
coding and 2nd order context modeling, with a compression ratio comparable 
to the best currently available general-purpose compression methods. It is 
similar in speed with deflate but offers more dense compression.


%package -n libbrotli
Summary: Libraries for %{name}, a generic-purpose lossless compression algorithm

%description -n libbrotli
Libraries for %{name}, a generic-purpose lossless compression algorithm.


%package -n python%{python3_pkgversion}-%{name}
Summary: A python3 module of brotli

%description -n python%{python3_pkgversion}-%{name}
This package provides a python3 module of brotli.


%package devel
Summary:  Development package of %{name}
Requires: %{name} = %{version}-%{release}
Requires: lib%{name} = %{version}-%{release}

%description devel
Development headers and libraries for %{name}.Also pkgconfig is supported.


%prep
%autosetup -p1


%build
%cmake -DCMAKE_CXX_FLAGS:STRING=-fPIC
%cmake_build
%py3_build


%install
%cmake_install
rm  %buildroot%{_libdir}/*.a
mkdir -p  %buildroot%_mandir/man3/
install -m  0644 docs/*.3  %buildroot%_mandir/man3/
%py3_install


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%check
%ctest


%files
%{_bindir}/brotli


%files -n libbrotli
%license LICENSE
%{_libdir}/libbrotli*.so.1*


%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%{python3_sitearch}/brotli.py
%{python3_sitearch}/_brotli.cpython-*.so
%{python3_sitearch}/__pycache__/brotli.cpython-*.py*
%{python3_sitearch}/Brotli-%{version}-py%{python3_version}.egg-info


%files devel
%{_includedir}/brotli
%{_libdir}/libbrotli*.so
%{_libdir}/pkgconfig/libbrotli*.pc
%{_mandir}/man3/*.3.gz


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.9-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.9-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 doriscchao <doriscchao@tencent.com> - 1.0.9-1
- initial build, Version 1.0.9, Release 1
